Get match run
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/matching/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/matching/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/matching/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "<string>",
"contextId": "<string>",
"createdAt": "<string>",
"failureReason": "<string>",
"id": "<string>",
"startedAt": "<string>",
"stats": {},
"updatedAt": "<string>"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0110",
"title": "Not Found",
"message": "context not found"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}Get match run
Use this endpoint to retrieve the details of a specific match run by its identifier. The response includes status, timing, and aggregate statistics.
GET
/
v1
/
matching
/
runs
/
{runId}
Get match run
Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Path Parameters
Run ID
Query Parameters
Context ID
Response
Indicates that the request was successful and the response contains the expected data.
Execution mode for a matching run
Available options:
DRY_RUN, COMMIT Show child attributes
Show child attributes
Lifecycle status of a matching run
Available options:
PROCESSING, COMPLETED, FAILED Was this page helpful?
⌘I

